ZenLib Namespace Reference

## Namespaces

namespace | Format

## Classes

class | BitStream
class | BitStream_Fast
class | BitStream_LE
class | CriticalSection
| CriticalSection manipulation. More...
class | CriticalSectionLocker
| CriticalSectionLocker helper. More...
class | Dir
| Directory manipulation. More...
class | File
| File manipulation. More...
class | FileName
| File name manipulation. More...
class | HTTP_Client
| Basic HTTP client. More...
class | InfoMap
| Helper for InfoMap. More...
class | int128
class | uint128
class | Thread
| Thread manipulation. More...
class | Translation
| Helper for translation. More...
class | Ztring
| String manipulation (based on std::(w)string). More...
class | ZtringList
| Vector of strings manipulation (based on std::vector<std::(w)string>). More...
class | ZtringListList
| Vector of vectors of strings manipulation (based on std::vector<std::vector<std::(w)string>>). More...
class | ZtringListListF
| ZtringListList with file management. More...

## Typedefs

typedef char | Char
typedef signed int | ints
typedef unsigned int | intu
typedef int128 | int128s
typedef uint128 | __uint128
typedef uint128 | int128u
typedef std::basic_string< Char, std::char_traits< Char >, std::allocator< Char > > | tstring

## Enumerations

enum | ztring_t { Ztring_Nothing , Ztring_Rounded = 1 , Ztring_CaseSensitive = 2 , Ztring_AddLastItem = 4 , Ztring_Recursive = 8 , Ztring_NoZero = 16 }
| Options for Ztring methods. More...

## Functions

bool | operator< (const int128 &a, const int128 &b) throw ()
bool | operator== (const int128 &a, const int128 &b) throw ()
bool | operator|| (const int128 &a, const int128 &b) throw ()
bool | operator&& (const int128 &a, const int128 &b) throw ()
int128 | operator+ (const int128 &a, const int128 &b) throw ()
int128 | operator- (const int128 &a, const int128 &b) throw ()
int128 | operator* (const int128 &a, const int128 &b) throw ()
int128 | operator/ (const int128 &a, const int128 &b) throw ()
int128 | operator% (const int128 &a, const int128 &b) throw ()
int128 | operator>> (const int128 &a, unsigned int n) throw ()
int128 | operator<< (const int128 &a, unsigned int n) throw ()
int128 | operator& (const int128 &a, const int128 &b) throw ()
int128 | operator| (const int128 &a, const int128 &b) throw ()
int128 | operator^ (const int128 &a, const int128 &b) throw ()
bool | operator> (const int128 &a, const int128 &b) throw ()
bool | operator<= (const int128 &a, const int128 &b) throw ()
bool | operator>= (const int128 &a, const int128 &b) throw ()
bool | operator!= (const int128 &a, const int128 &b) throw ()
bool | operator< (const uint128 &a, const uint128 &b) throw ()
bool | operator== (const uint128 &a, const uint128 &b) throw ()
bool | operator|| (const uint128 &a, const uint128 &b) throw ()
bool | operator&& (const uint128 &a, const uint128 &b) throw ()
uint128 | operator+ (const uint128 &a, const uint128 &b) throw ()
uint128 | operator- (const uint128 &a, const uint128 &b) throw ()
uint128 | operator* (const uint128 &a, const uint128 &b) throw ()
uint128 | operator/ (const uint128 &a, const uint128 &b) throw ()
uint128 | operator% (const uint128 &a, const uint128 &b) throw ()
uint128 | operator>> (const uint128 &a, unsigned int n) throw ()
uint128 | operator<< (const uint128 &a, unsigned int n) throw ()
uint128 | operator& (const uint128 &a, const uint128 &b) throw ()
uint128 | operator| (const uint128 &a, const uint128 &b) throw ()
uint128 | operator^ (const uint128 &a, const uint128 &b) throw ()
bool | operator> (const uint128 &a, const uint128 &b) throw ()
bool | operator<= (const uint128 &a, const uint128 &b) throw ()
bool | operator>= (const uint128 &a, const uint128 &b) throw ()
bool | operator!= (const uint128 &a, const uint128 &b) throw ()
bool | IsWin9X ()
void | Shell_Execute (const Ztring &ToExecute)
Ztring | OpenFolder_Show (void *Handle, const Ztring &Title, const Ztring &Caption)
int8s | LittleEndian2int8s (const char *List)
int8u | LittleEndian2int8u (const char *List)
int16s | LittleEndian2int16s (const char *List)
int16u | LittleEndian2int16u (const char *List)
int32s | LittleEndian2int24s (const char *List)
int32u | LittleEndian2int24u (const char *List)
int32s | LittleEndian2int32s (const char *List)
int32u | LittleEndian2int32u (const char *List)
float32 | LittleEndian2float16 (const char *List)
float32 | LittleEndian2float32 (const char *List)
float64 | LittleEndian2float64 (const char *List)
float80 | LittleEndian2float80 (const char *List)
void | int8s2LittleEndian (char *List, int8s Value)
void | int8u2LittleEndian (char *List, int8u Value)
void | int16s2LittleEndian (char *List, int16s Value)
void | int16u2LittleEndian (char *List, int16u Value)
void | int24s2LittleEndian (char *List, int32s Value)
void | int24u2LittleEndian (char *List, int32u Value)
void | int32s2LittleEndian (char *List, int32s Value)
void | int32u2LittleEndian (char *List, int32u Value)
void | float162LittleEndian (char *List, float32 Value)
void | float322LittleEndian (char *List, float32 Value)
void | float642LittleEndian (char *List, float64 Value)
void | float802LittleEndian (char *List, float80 Value)
int8s | LittleEndian2int8s (const int8u *List)
int8u | LittleEndian2int8u (const int8u *List)
int16s | LittleEndian2int16s (const int8u *List)
int16u | LittleEndian2int16u (const int8u *List)
int32s | LittleEndian2int24s (const int8u *List)
int32u | LittleEndian2int24u (const int8u *List)
int32s | LittleEndian2int32s (const int8u *List)
int32u | LittleEndian2int32u (const int8u *List)
float32 | LittleEndian2float16 (const int8u *List)
float32 | LittleEndian2float32 (const int8u *List)
float64 | LittleEndian2float64 (const int8u *List)
float80 | LittleEndian2float80 (const int8u *List)
void | int8s2LittleEndian (int8u *List, int8s Value)
void | int8u2LittleEndian (int8u *List, int8u Value)
void | int16s2LittleEndian (int8u *List, int16s Value)
void | int16u2LittleEndian (int8u *List, int16u Value)
void | int24s2LittleEndian (int8u *List, int32s Value)
void | int24u2LittleEndian (int8u *List, int32u Value)
void | int32s2LittleEndian (int8u *List, int32s Value)
void | int32u2LittleEndian (int8u *List, int32u Value)
void | float162LittleEndian (int8u *List, float32 Value)
void | float322LittleEndian (int8u *List, float32 Value)
void | float642LittleEndian (int8u *List, float64 Value)
void | float802LittleEndian (int8u *List, float80 Value)
int8s | BigEndian2int8s (const char *List)
int8u | BigEndian2int8u (const char *List)
int16s | BigEndian2int16s (const char *List)
int16u | BigEndian2int16u (const char *List)
int32s | BigEndian2int24s (const char *List)
int32u | BigEndian2int24u (const char *List)
int32s | BigEndian2int32s (const char *List)
int32u | BigEndian2int32u (const char *List)
float32 | BigEndian2float16 (const char *List)
float32 | BigEndian2float32 (const char *List)
float64 | BigEndian2float64 (const char *List)
float80 | BigEndian2float80 (const char *List)
void | int8s2BigEndian (char *List, int8s Value)
void | int8u2BigEndian (char *List, int8u Value)
void | int16s2BigEndian (char *List, int16s Value)
void | int16u2BigEndian (char *List, int16u Value)
void | int24s2BigEndian (char *List, int32s Value)
void | int24u2BigEndian (char *List, int32u Value)
void | int32s2BigEndian (char *List, int32s Value)
void | int32u2BigEndian (char *List, int32u Value)
void | float162BigEndian (char *List, float32 Value)
void | float322BigEndian (char *List, float32 Value)
void | float642BigEndian (char *List, float64 Value)
void | float802BigEndian (char *List, float80 Value)
int8s | BigEndian2int8s (const int8u *List)
int8u | BigEndian2int8u (const int8u *List)
int16s | BigEndian2int16s (const int8u *List)
int16u | BigEndian2int16u (const int8u *List)
int32s | BigEndian2int32s (const int8u *List)
int32u | BigEndian2int24u (const int8u *List)
int32s | BigEndian2int24s (const int8u *List)
int32u | BigEndian2int32u (const int8u *List)
float32 | BigEndian2float16 (const int8u *List)
float32 | BigEndian2float32 (const int8u *List)
float64 | BigEndian2float64 (const int8u *List)
float80 | BigEndian2float80 (const int8u *List)
void | int8s2BigEndian (int8u *List, int8s Value)
void | int8u2BigEndian (int8u *List, int8u Value)
void | int16s2BigEndian (int8u *List, int16s Value)
void | int16u2BigEndian (int8u *List, int16u Value)
void | int24s2BigEndian (int8u *List, int32s Value)
void | int24u2BigEndian (int8u *List, int32u Value)
void | int32s2BigEndian (int8u *List, int32s Value)
void | int32u2BigEndian (int8u *List, int32u Value)
void | float162BigEndian (int8u *List, float32 Value)
void | float322BigEndian (int8u *List, float32 Value)
void | float642BigEndian (int8u *List, float64 Value)
void | float802BigEndian (int8u *List, float80 Value)
int64s | int32s_int64s (int32s High, int32u Low)
int64u | int32u_int64u (int32u High, int32u Low)
void | int32s_int64s (int64s &BigInt, int32s High, int32u Low)
void | int32u_int64u (int64s &BigInt, int32u High, int32u Low)
void | int64s_int32s (int64s BigInt, int32s &High, int32u &Low)
void | int64u_int32u (int64u BigInt, int32u &High, int32u &Low)
int32s | float32_int32s (float32 F, bool Rounded=true)
int64s | float32_int64s (float32 F, bool Rounded=true)
int32s | float64_int32s (float64 F, bool Rounded=true)
int64s | float64_int64s (float64 F, bool Rounded=true)
float32 | int64u_float32 (int64u v)
float64 | int64u_float64 (int64u v)
int64u | CC8 (const char *C)
int64u | CC7 (const char *C)
int64u | CC6 (const char *C)
int64u | CC5 (const char *C)
int32u | CC4 (const char *C)
int32u | CC3 (const char *C)
int16u | CC2 (const char *C)
int8u | CC1 (const char *C)
int64u | CC8 (const int8u *C)
int64u | CC7 (const int8u *C)
int64u | CC6 (const int8u *C)
int64u | CC5 (const int8u *C)
int32u | CC4 (const int8u *C)
int32u | CC3 (const int8u *C)
int16u | CC2 (const int8u *C)
int8u | CC1 (const int8u *C)

## Variables

const std::size_t | Error =((std::size_t)(-1))
const std::size_t | All =((std::size_t)(-1))
const std::size_t | Unlimited =((std::size_t)(-1))
const Char * | EOL
const Char | PathSeparator
const Char * | FileName_PathSeparator

## Typedef Documentation

## __uint128

typedef uint128 ZenLib::__uint128

## Char

typedef char ZenLib::Char

## int128s

typedef int128 ZenLib::int128s

## int128u

typedef uint128 ZenLib::int128u

## ints

typedef signed int ZenLib::ints

## intu

typedef unsigned int ZenLib::intu

## tstring

typedef std::basic_string<Char, std::char_traits<Char>, std::allocator<Char> > ZenLib::tstring

## Enumeration Type Documentation

## ztring_t

enum ZenLib::ztring_t

Options for Ztring methods.

Enumerator
Ztring_Nothing |
Ztring_Rounded | if >.5, upper, else lower
Ztring_CaseSensitive | Case sensitive ("A" and "a" are different).
Ztring_AddLastItem | if Begin is found and End is not found, return between Begin and end of string
Ztring_Recursive | Do all strings.
Ztring_NoZero |

## Function Documentation

## BigEndian2float16() [1/2]

float32 ZenLib::BigEndian2float16 | ( | const char * | List | ) |

Referenced by BigEndian2float16().

## BigEndian2float16() [2/2]

float32 ZenLib::BigEndian2float16 | ( | const int8u * | List | ) |

inline

References BigEndian2float16().

## BigEndian2float32() [1/2]

float32 ZenLib::BigEndian2float32 | ( | const char * | List | ) |

Referenced by BigEndian2float32().

## BigEndian2float32() [2/2]

float32 ZenLib::BigEndian2float32 | ( | const int8u * | List | ) |

inline

References BigEndian2float32().

## BigEndian2float64() [1/2]

float64 ZenLib::BigEndian2float64 | ( | const char * | List | ) |

Referenced by BigEndian2float64().

## BigEndian2float64() [2/2]

float64 ZenLib::BigEndian2float64 | ( | const int8u * | List | ) |

inline

References BigEndian2float64().

## BigEndian2float80() [1/2]

float80 ZenLib::BigEndian2float80 | ( | const char * | List | ) |

Referenced by BigEndian2float80().

## BigEndian2float80() [2/2]

float80 ZenLib::BigEndian2float80 | ( | const int8u * | List | ) |

inline

References BigEndian2float80().

## BigEndian2int16s() [1/2]

int16s ZenLib::BigEndian2int16s | ( | const char * | List | ) |

Referenced by BigEndian2int16s().

## BigEndian2int16s() [2/2]

int16s ZenLib::BigEndian2int16s | ( | const int8u * | List | ) |

inline

References BigEndian2int16s().

## BigEndian2int16u() [1/2]

int16u ZenLib::BigEndian2int16u | ( | const char * | List | ) |

Referenced by BigEndian2int16u(), CC2(), and CC2().

## BigEndian2int16u() [2/2]

int16u ZenLib::BigEndian2int16u | ( | const int8u * | List | ) |

inline

References BigEndian2int16u().

## BigEndian2int24s() [1/2]

int32s ZenLib::BigEndian2int24s | ( | const char * | List | ) |

Referenced by BigEndian2int24s().

## BigEndian2int24s() [2/2]

int32s ZenLib::BigEndian2int24s | ( | const int8u * | List | ) |

inline

References BigEndian2int24s().

## BigEndian2int24u() [1/2]

int32u ZenLib::BigEndian2int24u | ( | const char * | List | ) |

Referenced by BigEndian2int24u(), CC3(), and CC3().

## BigEndian2int24u() [2/2]

int32u ZenLib::BigEndian2int24u | ( | const int8u * | List | ) |

inline

References BigEndian2int24u().

## BigEndian2int32s() [1/2]

int32s ZenLib::BigEndian2int32s | ( | const char * | List | ) |

Referenced by BigEndian2int32s().

## BigEndian2int32s() [2/2]

int32s ZenLib::BigEndian2int32s | ( | const int8u * | List | ) |

inline

References BigEndian2int32s().

## BigEndian2int32u() [1/2]

int32u ZenLib::BigEndian2int32u | ( | const char * | List | ) |

Referenced by BigEndian2int32u(), CC4(), and CC4().

## BigEndian2int32u() [2/2]

int32u ZenLib::BigEndian2int32u | ( | const int8u * | List | ) |

inline

References BigEndian2int32u().

## BigEndian2int8s() [1/2]

int8s ZenLib::BigEndian2int8s | ( | const char * | List | ) |

Referenced by BigEndian2int8s().

## BigEndian2int8s() [2/2]

int8s ZenLib::BigEndian2int8s | ( | const int8u * | List | ) |

inline

References BigEndian2int8s().

## BigEndian2int8u() [1/2]

int8u ZenLib::BigEndian2int8u | ( | const char * | List | ) |

Referenced by BigEndian2int8u(), CC1(), and CC1().

## BigEndian2int8u() [2/2]

int8u ZenLib::BigEndian2int8u | ( | const int8u * | List | ) |

inline

References BigEndian2int8u().

## CC1() [1/2]

int8u ZenLib::CC1 | ( | const char * | C | ) |

inline

References BigEndian2int8u().

Referenced by ZenLib::Ztring::From_CC1(), and ZenLib::Ztring::From_CC1().

## CC1() [2/2]

int8u ZenLib::CC1 | ( | const int8u * | C | ) |

inline

References BigEndian2int8u().

## CC2() [1/2]

int16u ZenLib::CC2 | ( | const char * | C | ) |

inline

References BigEndian2int16u().

Referenced by ZenLib::Ztring::From_CC2(), and ZenLib::Ztring::From_CC2().

## CC2() [2/2]

int16u ZenLib::CC2 | ( | const int8u * | C | ) |

inline

References BigEndian2int16u().

## CC3() [1/2]

int32u ZenLib::CC3 | ( | const char * | C | ) |

inline

References BigEndian2int24u().

## CC3() [2/2]

int32u ZenLib::CC3 | ( | const int8u * | C | ) |

inline

References BigEndian2int24u().

## CC4() [1/2]

int32u ZenLib::CC4 | ( | const char * | C | ) |

inline

References BigEndian2int32u().

## CC4() [2/2]

int32u ZenLib::CC4 | ( | const int8u * | C | ) |

inline

References BigEndian2int32u().

## CC5() [1/2]

int64u ZenLib::CC5 | ( | const char * | C | ) |

inline

## CC5() [2/2]

int64u ZenLib::CC5 | ( | const int8u * | C | ) |

inline

## CC6() [1/2]

int64u ZenLib::CC6 | ( | const char * | C | ) |

inline

## CC6() [2/2]

int64u ZenLib::CC6 | ( | const int8u * | C | ) |

inline

## CC7() [1/2]

int64u ZenLib::CC7 | ( | const char * | C | ) |

inline

## CC7() [2/2]

int64u ZenLib::CC7 | ( | const int8u * | C | ) |

inline

## CC8() [1/2]

int64u ZenLib::CC8 | ( | const char * | C | ) |

inline

## CC8() [2/2]

int64u ZenLib::CC8 | ( | const int8u * | C | ) |

inline

## float162BigEndian() [1/2]

void ZenLib::float162BigEndian | ( | char * | List,
|  | float32 | Value )

Referenced by float162BigEndian().

## float162BigEndian() [2/2]

void ZenLib::float162BigEndian | ( | int8u * | List,
|  | float32 | Value )

inline

References float162BigEndian().

## float162LittleEndian() [1/2]

void ZenLib::float162LittleEndian | ( | char * | List,
|  | float32 | Value )

Referenced by float162LittleEndian().

## float162LittleEndian() [2/2]

void ZenLib::float162LittleEndian | ( | int8u * | List,
|  | float32 | Value )

inline

References float162LittleEndian().

## float322BigEndian() [1/2]

void ZenLib::float322BigEndian | ( | char * | List,
|  | float32 | Value )

Referenced by float322BigEndian().

## float322BigEndian() [2/2]

void ZenLib::float322BigEndian | ( | int8u * | List,
|  | float32 | Value )

inline

References float322BigEndian().

## float322LittleEndian() [1/2]

void ZenLib::float322LittleEndian | ( | char * | List,
|  | float32 | Value )

Referenced by float322LittleEndian().

## float322LittleEndian() [2/2]

void ZenLib::float322LittleEndian | ( | int8u * | List,
|  | float32 | Value )

inline

References float322LittleEndian().

## float32_int32s()

int32s ZenLib::float32_int32s | ( | float32 | F,
|  | bool | Rounded = true )

## float32_int64s()

int64s ZenLib::float32_int64s | ( | float32 | F,
|  | bool | Rounded = true )

## float642BigEndian() [1/2]

void ZenLib::float642BigEndian | ( | char * | List,
|  | float64 | Value )

Referenced by float642BigEndian().

## float642BigEndian() [2/2]

void ZenLib::float642BigEndian | ( | int8u * | List,
|  | float64 | Value )

inline

References float642BigEndian().

## float642LittleEndian() [1/2]

void ZenLib::float642LittleEndian | ( | char * | List,
|  | float64 | Value )

Referenced by float642LittleEndian().

## float642LittleEndian() [2/2]

void ZenLib::float642LittleEndian | ( | int8u * | List,
|  | float64 | Value )

inline

References float642LittleEndian().

## float64_int32s()

int32s ZenLib::float64_int32s | ( | float64 | F,
|  | bool | Rounded = true )

## float64_int64s()

int64s ZenLib::float64_int64s | ( | float64 | F,
|  | bool | Rounded = true )

## float802BigEndian() [1/2]

void ZenLib::float802BigEndian | ( | char * | List,
|  | float80 | Value )

Referenced by float802BigEndian().

## float802BigEndian() [2/2]

void ZenLib::float802BigEndian | ( | int8u * | List,
|  | float80 | Value )

inline

References float802BigEndian().

## float802LittleEndian() [1/2]

void ZenLib::float802LittleEndian | ( | char * | List,
|  | float80 | Value )

Referenced by float802LittleEndian().

## float802LittleEndian() [2/2]

void ZenLib::float802LittleEndian | ( | int8u * | List,
|  | float80 | Value )

inline

References float802LittleEndian().

## int16s2BigEndian() [1/2]

void ZenLib::int16s2BigEndian | ( | char * | List,
|  | int16s | Value )

Referenced by int16s2BigEndian().

## int16s2BigEndian() [2/2]

void ZenLib::int16s2BigEndian | ( | int8u * | List,
|  | int16s | Value )

inline

References int16s2BigEndian().

## int16s2LittleEndian() [1/2]

void ZenLib::int16s2LittleEndian | ( | char * | List,
|  | int16s | Value )

Referenced by int16s2LittleEndian().

## int16s2LittleEndian() [2/2]

void ZenLib::int16s2LittleEndian | ( | int8u * | List,
|  | int16s | Value )

inline

References int16s2LittleEndian().

## int16u2BigEndian() [1/2]

void ZenLib::int16u2BigEndian | ( | char * | List,
|  | int16u | Value )

Referenced by int16u2BigEndian().

## int16u2BigEndian() [2/2]

void ZenLib::int16u2BigEndian | ( | int8u * | List,
|  | int16u | Value )

inline

References int16u2BigEndian().

## int16u2LittleEndian() [1/2]

void ZenLib::int16u2LittleEndian | ( | char * | List,
|  | int16u | Value )

Referenced by int16u2LittleEndian().

## int16u2LittleEndian() [2/2]

void ZenLib::int16u2LittleEndian | ( | int8u * | List,
|  | int16u | Value )

inline

References int16u2LittleEndian().

## int24s2BigEndian() [1/2]

void ZenLib::int24s2BigEndian | ( | char * | List,
|  | int32s | Value )

Referenced by int24s2BigEndian().

## int24s2BigEndian() [2/2]

void ZenLib::int24s2BigEndian | ( | int8u * | List,
|  | int32s | Value )

inline

References int24s2BigEndian().

## int24s2LittleEndian() [1/2]

void ZenLib::int24s2LittleEndian | ( | char * | List,
|  | int32s | Value )

Referenced by int24s2LittleEndian().

## int24s2LittleEndian() [2/2]

void ZenLib::int24s2LittleEndian | ( | int8u * | List,
|  | int32s | Value )

inline

References int24s2LittleEndian().

## int24u2BigEndian() [1/2]

void ZenLib::int24u2BigEndian | ( | char * | List,
|  | int32u | Value )

Referenced by int24u2BigEndian().

## int24u2BigEndian() [2/2]

void ZenLib::int24u2BigEndian | ( | int8u * | List,
|  | int32u | Value )

inline

References int24u2BigEndian().

## int24u2LittleEndian() [1/2]

void ZenLib::int24u2LittleEndian | ( | char * | List,
|  | int32u | Value )

Referenced by int24u2LittleEndian().

## int24u2LittleEndian() [2/2]

void ZenLib::int24u2LittleEndian | ( | int8u * | List,
|  | int32u | Value )

inline

References int24u2LittleEndian().

## int32s2BigEndian() [1/2]

void ZenLib::int32s2BigEndian | ( | char * | List,
|  | int32s | Value )

Referenced by int32s2BigEndian().

## int32s2BigEndian() [2/2]

void ZenLib::int32s2BigEndian | ( | int8u * | List,
|  | int32s | Value )

inline

References int32s2BigEndian().

## int32s2LittleEndian() [1/2]

void ZenLib::int32s2LittleEndian | ( | char * | List,
|  | int32s | Value )

Referenced by int32s2LittleEndian().

## int32s2LittleEndian() [2/2]

void ZenLib::int32s2LittleEndian | ( | int8u * | List,
|  | int32s | Value )

inline

References int32s2LittleEndian().

## int32s_int64s() [1/2]

int64s ZenLib::int32s_int64s | ( | int32s | High,
|  | int32u | Low )

## int32s_int64s() [2/2]

void ZenLib::int32s_int64s | ( | int64s & | BigInt,
|  | int32s | High,
|  | int32u | Low )

## int32u2BigEndian() [1/2]

void ZenLib::int32u2BigEndian | ( | char * | List,
|  | int32u | Value )

Referenced by int32u2BigEndian().

## int32u2BigEndian() [2/2]

void ZenLib::int32u2BigEndian | ( | int8u * | List,
|  | int32u | Value )

inline

References int32u2BigEndian().

## int32u2LittleEndian() [1/2]

void ZenLib::int32u2LittleEndian | ( | char * | List,
|  | int32u | Value )

Referenced by int32u2LittleEndian().

## int32u2LittleEndian() [2/2]

void ZenLib::int32u2LittleEndian | ( | int8u * | List,
|  | int32u | Value )

inline

References int32u2LittleEndian().

## int32u_int64u() [1/2]

int64u ZenLib::int32u_int64u | ( | int32u | High,
|  | int32u | Low )

## int32u_int64u() [2/2]

void ZenLib::int32u_int64u | ( | int64s & | BigInt,
|  | int32u | High,
|  | int32u | Low )

## int64s_int32s()

void ZenLib::int64s_int32s | ( | int64s | BigInt,
|  | int32s & | High,
|  | int32u & | Low )

## int64u_float32()

float32 ZenLib::int64u_float32 | ( | int64u | v | ) |

inline

## int64u_float64()

float64 ZenLib::int64u_float64 | ( | int64u | v | ) |

inline

## int64u_int32u()

void ZenLib::int64u_int32u | ( | int64u | BigInt,
|  | int32u & | High,
|  | int32u & | Low )

## int8s2BigEndian() [1/2]

void ZenLib::int8s2BigEndian | ( | char * | List,
|  | int8s | Value )

Referenced by int8s2BigEndian().

## int8s2BigEndian() [2/2]

void ZenLib::int8s2BigEndian | ( | int8u * | List,
|  | int8s | Value )

inline

References int8s2BigEndian().

## int8s2LittleEndian() [1/2]

void ZenLib::int8s2LittleEndian | ( | char * | List,
|  | int8s | Value )

Referenced by int8s2LittleEndian().

## int8s2LittleEndian() [2/2]

void ZenLib::int8s2LittleEndian | ( | int8u * | List,
|  | int8s | Value )

inline

References int8s2LittleEndian().

## int8u2BigEndian() [1/2]

void ZenLib::int8u2BigEndian | ( | char * | List,
|  | int8u | Value )

Referenced by int8u2BigEndian().

## int8u2BigEndian() [2/2]

void ZenLib::int8u2BigEndian | ( | int8u * | List,
|  | int8u | Value )

inline

References int8u2BigEndian().

## int8u2LittleEndian() [1/2]

void ZenLib::int8u2LittleEndian | ( | char * | List,
|  | int8u | Value )

Referenced by int8u2LittleEndian().

## int8u2LittleEndian() [2/2]

void ZenLib::int8u2LittleEndian | ( | int8u * | List,
|  | int8u | Value )

inline

References int8u2LittleEndian().

## IsWin9X()

bool ZenLib::IsWin9X | ( |  | ) |

## LittleEndian2float16() [1/2]

float32 ZenLib::LittleEndian2float16 | ( | const char * | List | ) |

Referenced by LittleEndian2float16().

## LittleEndian2float16() [2/2]

float32 ZenLib::LittleEndian2float16 | ( | const int8u * | List | ) |

inline

References LittleEndian2float16().

## LittleEndian2float32() [1/2]

float32 ZenLib::LittleEndian2float32 | ( | const char * | List | ) |

Referenced by LittleEndian2float32().

## LittleEndian2float32() [2/2]

float32 ZenLib::LittleEndian2float32 | ( | const int8u * | List | ) |

inline

References LittleEndian2float32().

## LittleEndian2float64() [1/2]

float64 ZenLib::LittleEndian2float64 | ( | const char * | List | ) |

Referenced by LittleEndian2float64().

## LittleEndian2float64() [2/2]

float64 ZenLib::LittleEndian2float64 | ( | const int8u * | List | ) |

inline

References LittleEndian2float64().

## LittleEndian2float80() [1/2]

float80 ZenLib::LittleEndian2float80 | ( | const char * | List | ) |

Referenced by LittleEndian2float80().

## LittleEndian2float80() [2/2]

float80 ZenLib::LittleEndian2float80 | ( | const int8u * | List | ) |

inline

References LittleEndian2float80().

## LittleEndian2int16s() [1/2]

int16s ZenLib::LittleEndian2int16s | ( | const char * | List | ) |

Referenced by LittleEndian2int16s().

## LittleEndian2int16s() [2/2]

int16s ZenLib::LittleEndian2int16s | ( | const int8u * | List | ) |

inline

References LittleEndian2int16s().

## LittleEndian2int16u() [1/2]

int16u ZenLib::LittleEndian2int16u | ( | const char * | List | ) |

Referenced by LittleEndian2int16u().

## LittleEndian2int16u() [2/2]

int16u ZenLib::LittleEndian2int16u | ( | const int8u * | List | ) |

inline

References LittleEndian2int16u().

## LittleEndian2int24s() [1/2]

int32s ZenLib::LittleEndian2int24s | ( | const char * | List | ) |

Referenced by LittleEndian2int24s().

## LittleEndian2int24s() [2/2]

int32s ZenLib::LittleEndian2int24s | ( | const int8u * | List | ) |

inline

References LittleEndian2int24s().

## LittleEndian2int24u() [1/2]

int32u ZenLib::LittleEndian2int24u | ( | const char * | List | ) |

Referenced by LittleEndian2int24u().

## LittleEndian2int24u() [2/2]

int32u ZenLib::LittleEndian2int24u | ( | const int8u * | List | ) |

inline

References LittleEndian2int24u().

## LittleEndian2int32s() [1/2]

int32s ZenLib::LittleEndian2int32s | ( | const char * | List | ) |

Referenced by LittleEndian2int32s().

## LittleEndian2int32s() [2/2]

int32s ZenLib::LittleEndian2int32s | ( | const int8u * | List | ) |

inline

References LittleEndian2int32s().

## LittleEndian2int32u() [1/2]

int32u ZenLib::LittleEndian2int32u | ( | const char * | List | ) |

Referenced by LittleEndian2int32u().

## LittleEndian2int32u() [2/2]

int32u ZenLib::LittleEndian2int32u | ( | const int8u * | List | ) |

inline

References LittleEndian2int32u().

## LittleEndian2int8s() [1/2]

int8s ZenLib::LittleEndian2int8s | ( | const char * | List | ) |

Referenced by LittleEndian2int8s().

## LittleEndian2int8s() [2/2]

int8s ZenLib::LittleEndian2int8s | ( | const int8u * | List | ) |

inline

References LittleEndian2int8s().

## LittleEndian2int8u() [1/2]

int8u ZenLib::LittleEndian2int8u | ( | const char * | List | ) |

Referenced by LittleEndian2int8u().

## LittleEndian2int8u() [2/2]

int8u ZenLib::LittleEndian2int8u | ( | const int8u * | List | ) |

inline

References LittleEndian2int8u().

## OpenFolder_Show()

Ztring ZenLib::OpenFolder_Show | ( | void * | Handle,
|  | const Ztring & | Title,
|  | const Ztring & | Caption )

## operator!=() [1/2]

bool ZenLib::operator!= | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

inline

## operator!=() [2/2]

bool ZenLib::operator!= | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

inline

## operator%() [1/2]

int128 ZenLib::operator% | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::int128::int128().

## operator%() [2/2]

uint128 ZenLib::operator% | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::uint128::uint128().

## operator&() [1/2]

int128 ZenLib::operator& | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::int128::int128().

## operator&() [2/2]

uint128 ZenLib::operator& | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::uint128::uint128().

## operator&&() [1/2]

bool ZenLib::operator&& | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

## operator&&() [2/2]

bool ZenLib::operator&& | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

## operator*() [1/2]

int128 ZenLib::operator* | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::int128::int128().

## operator*() [2/2]

uint128 ZenLib::operator* | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::uint128::uint128().

## operator+() [1/2]

int128 ZenLib::operator+ | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::int128::int128().

## operator+() [2/2]

uint128 ZenLib::operator+ | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::uint128::uint128().

## operator-() [1/2]

int128 ZenLib::operator- | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::int128::int128().

## operator-() [2/2]

uint128 ZenLib::operator- | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::uint128::uint128().

## operator/() [1/2]

int128 ZenLib::operator/ | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::int128::int128().

## operator/() [2/2]

uint128 ZenLib::operator/ | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::uint128::uint128().

## operator<() [1/2]

bool ZenLib::operator< | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

## operator<() [2/2]

bool ZenLib::operator< | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

## operator<<() [1/2]

int128 ZenLib::operator<< | ( | const int128 & | a,
|  | unsigned int | n )
throw | ( | ) |  |  |

inline

References ZenLib::int128::int128().

## operator<<() [2/2]

uint128 ZenLib::operator<< | ( | const uint128 & | a,
|  | unsigned int | n )
throw | ( | ) |  |  |

inline

References ZenLib::uint128::uint128().

## operator<=() [1/2]

bool ZenLib::operator<= | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

inline

## operator<=() [2/2]

bool ZenLib::operator<= | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

inline

## operator==() [1/2]

bool ZenLib::operator== | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

## operator==() [2/2]

bool ZenLib::operator== | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

## operator>() [1/2]

bool ZenLib::operator> | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

inline

## operator>() [2/2]

bool ZenLib::operator> | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

inline

## operator>=() [1/2]

bool ZenLib::operator>= | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

inline

## operator>=() [2/2]

bool ZenLib::operator>= | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

inline

## operator>>() [1/2]

int128 ZenLib::operator>> | ( | const int128 & | a,
|  | unsigned int | n )
throw | ( | ) |  |  |

inline

References ZenLib::int128::int128().

## operator>>() [2/2]

uint128 ZenLib::operator>> | ( | const uint128 & | a,
|  | unsigned int | n )
throw | ( | ) |  |  |

inline

References ZenLib::uint128::uint128().

## operator^() [1/2]

int128 ZenLib::operator^ | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::int128::int128().

## operator^() [2/2]

uint128 ZenLib::operator^ | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::uint128::uint128().

## operator|() [1/2]

int128 ZenLib::operator| | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::int128::int128().

## operator|() [2/2]

uint128 ZenLib::operator| | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

inline

References ZenLib::uint128::uint128().

## operator||() [1/2]

bool ZenLib::operator|| | ( | const int128 & | a,
|  | const int128 & | b )
throw | ( | ) |  |  |

## operator||() [2/2]

bool ZenLib::operator|| | ( | const uint128 & | a,
|  | const uint128 & | b )
throw | ( | ) |  |  |

## Shell_Execute()

void ZenLib::Shell_Execute | ( | const Ztring & | ToExecute | ) |

## Variable Documentation

## All

const std::size_t ZenLib::All =((std::size_t)(-1))

## EOL

const Char* ZenLib::EOL

extern

## Error

const std::size_t ZenLib::Error =((std::size_t)(-1))

Referenced by ZenLib::Ztring::Date_From_String().

## FileName_PathSeparator

const Char* ZenLib::FileName_PathSeparator

extern

## PathSeparator

const Char ZenLib::PathSeparator

extern

## Unlimited

const std::size_t ZenLib::Unlimited =((std::size_t)(-1))